Runtime

## org.eclipse.gmf.runtime.common.ui.contentassist
Class ContentAssistantHelper

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.contentassist.ContentAssistantHelper

public class ContentAssistantHelper
extends java.lang.Object

Helper class for content assist

Method Summary
`static ContentAssistHandler` `createTextContentAssistant(Text text, Color foreground, Color background, IContentAssistProcessor processor)` Returns a content assistant for a given text control and content assist processor
`static ContentAssistHandler` `createTextContentAssistant(Text text, IContentAssistProcessor processor)` Returns a content assistant for a given text control and content assist processor

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createTextContentAssistant

    public static ContentAssistHandler createTextContentAssistant(Text text,
                                                                  IContentAssistProcessor processor)

  Returns a content assistant for a given text control and content assist processor

  Parameters:
    `text` - the text control
    `processor` - the content assist processor
  Returns:
    the content assistant

### createTextContentAssistant

    public static ContentAssistHandler createTextContentAssistant(Text text,
                                                                  Color foreground,
                                                                  Color background,
                                                                  IContentAssistProcessor processor)

  Returns a content assistant for a given text control and content assist processor

  Parameters:
    `text` - the text control
    `processor` - the content assist processor
    `foreground` - the foreground color
    `background` - the background color
  Returns:
    the content assistant

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.